SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Enumerations | Functions
statistics.h File Reference

A structure that holds all statistical data returned by RakNet. More...

`#include "PacketPriority.h"`
`#include "Export.h"`
`#include "types.h"`

Go to the source code of this file.

## Classes

struct | SLNet::RakNetStatistics
| Network Statisics Usage. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Enumerations

enum | SLNet::RNSPerSecondMetrics { SLNet::USER_MESSAGE_BYTES_PUSHED, SLNet::USER_MESSAGE_BYTES_SENT, SLNet::USER_MESSAGE_BYTES_RESENT, SLNet::USER_MESSAGE_BYTES_RECEIVED_PROCESSED, SLNet::USER_MESSAGE_BYTES_RECEIVED_IGNORED, SLNet::ACTUAL_BYTES_SENT, SLNet::ACTUAL_BYTES_RECEIVED, SLNet::RNS_PER_SECOND_METRICS_COUNT }

## Functions

void RAK_DLL_EXPORT | SLNet::StatisticsToString (RakNetStatistics *s, char *buffer, int verbosityLevel)
void RAK_DLL_EXPORT | SLNet::StatisticsToString (RakNetStatistics *s, char *buffer, size_t bufferLength, int verbosityLevel)

## Detailed Description

A structure that holds all statistical data returned by RakNet.

Definition in file statistics.h.